(function($) {
	$(document).ready(function(){

		var $ = jQuery;

        $.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'load_sposoby_prepravy'
            },
            success: function(data) {
                content = '';
            	data = JSON.parse(data);
            	data.forEach(function (item, i) {
            		if (item.selected) {
                        content += '<option value=' + item.id + ' selected >' + item.title + '</option>';
                    }
                    else {
                        content += '<option value=' + item.id + '>' + item.title + '</option>';
					}
                });
                $('#woocommerce_depo_shipping_method_cod').html(content);
            },
            error: function(XMLHttpRequest, textStatus, errorThrown) {
                console.log("Chyba pri nacitani sposobov prepravy");
            }
        });

		$("#okto-depo-pickup").chained("#okto-depo-mesto");

		$('.okto_depo_edit_toggle_button').on('click', function() {

			$('.okto_depo_toggle_edit').slideToggle();

		});

		if($('.okto_depo_toggle_edit').length) {

			var okto_depo_edit_url = $('#okto_depo_edit_url').attr('href');

			$('#okto-depo-pickup, #okto_depo_edit_18, #okto_depo_edit_cod, #okto_depo_edit_pickup_from_address').on('change', function () {
				build_depo_edit_url( okto_depo_edit_url );
			});

			$('.okto_depo_edit_toggle_button').on('click', function() {
				build_depo_edit_url( okto_depo_edit_url );

			});

		}
		
	});

	function build_depo_edit_url( okto_depo_edit_url ) {
		var okto_depo_edit_order_id = $('#okto_depo_edit_order_id').val();
		var okto_depo_edit_depo_id  = $('#okto_depo_edit_depo_id').val();
		var okto_depo_deliver_to_address  = $('#okto_depo_deliver_to_address').val();

		if ($('#okto-depo-pickup').val()) {
            var pickup = $('#okto-depo-pickup').val();
        }
        else {
        	pickup = '';
		}
        if ( $('#okto_depo_edit_pickup_from_address').is(':checked') ) {
        	pickupFromAddress = $('#okto_depo_edit_pickup_from_address').val();
        }
        else {
            pickupFromAddress = 0;
        }

		var url = okto_depo_edit_url + 
				  '&order_id=' + okto_depo_edit_order_id + 
				  '&depo_id=' + okto_depo_edit_depo_id +
				  '&depo18=' + $('#okto_depo_edit_18').is(':checked') +
				  '&cod=' + $('#okto_depo_edit_cod').is(':checked') +
				  '&pickup=' + pickup +
				  '&deliver_to_address=' + okto_depo_deliver_to_address +
				  '&pickup_from_address=' + pickupFromAddress

		console.log( url );
		if(pickup == '' && pickupFromAddress === '') {
			$('#okto_depo_edit_url').addClass('disabled');
			$('#okto_depo_edit_url').attr('href', 'javascript:;' );
		} else {
			$('#okto_depo_edit_url').removeClass('disabled');
			$('#okto_depo_edit_url').attr('href', url );
		}
	}

}(jQuery));